JBossDomain (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossDomain

All Superinterfaces:
  ConfigurationItem, J2EEDomain, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossDomain

extends J2EEDomain

A JBoss Domain

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`IBM_COPYRIGHT`

Method Summary
`int` | `getActiveThreadGroupCount()`
`boolean` | `getBlockingShutDown()`
`java.lang.String` | `getHomeDir()`
`java.lang.String` | `getHomeURL()`
`ComputerSystem` | `getHost()`
`java.lang.String` | `getJavaVendor()`
`java.lang.String` | `getJavaVersion()`
`java.lang.String` | `getJavaVMName()`
`java.lang.String` | `getJavaVMVendor()`
`java.lang.String` | `getJavaVMVersion()`
`JBossManagedConnectionFactory[]` | `getJBossManagedConnectionFactory()`
`JBossManagedConnectionPool[]` | `getJBossManagedConnectionPool()`
`JBossJMSServer` | `getJMS()`
`JBossTransactionCM[]` | `getJTA()`
`java.lang.String` | `getLibraryURL()`
`int` | `getListeningPort()`
`long` | `getMaxMemory()`
`java.lang.String` | `getOSName()`
`java.lang.String` | `getRootDeploymentFilename()`
`java.lang.String` | `getServerBaseURL()`
`java.lang.String` | `getServerConfigURL()`
`java.lang.String` | `getServerDataDir()`
`java.lang.String` | `getServerHomeDir()`
`java.lang.String` | `getServerHomeURL()`
`java.lang.String` | `getServerLibraryURL()`
`java.lang.String` | `getServerTempDir()`
`long` | `getTotalMemory()`
`boolean` | `hasActiveThreadGroupCount()`
`boolean` | `hasBlockingShutDown()`
`boolean` | `hasHomeDir()`
`boolean` | `hasHomeURL()`
`boolean` | `hasHost()`
`boolean` | `hasJavaVendor()`
`boolean` | `hasJavaVersion()`
`boolean` | `hasJavaVMName()`
`boolean` | `hasJavaVMVendor()`
`boolean` | `hasJavaVMVersion()`
`boolean` | `hasJBossManagedConnectionFactory()`
`boolean` | `hasJBossManagedConnectionPool()`
`boolean` | `hasJMS()`
`boolean` | `hasJTA()`
`boolean` | `hasLibraryURL()`
`boolean` | `hasListeningPort()`
`boolean` | `hasMaxMemory()`
`boolean` | `hasOSName()`
`boolean` | `hasRootDeploymentFilename()`
`boolean` | `hasServerBaseURL()`
`boolean` | `hasServerConfigURL()`
`boolean` | `hasServerDataDir()`
`boolean` | `hasServerHomeDir()`
`boolean` | `hasServerHomeURL()`
`boolean` | `hasServerLibraryURL()`
`boolean` | `hasServerTempDir()`
`boolean` | `hasTotalMemory()`
`void` | `setActiveThreadGroupCount(int activeThreadGroupCount)`
`void` | `setBlockingShutDown(boolean blockingShutDown)`
`void` | `setHomeDir(java.lang.String homeDir)`
`void` | `setHomeURL(java.lang.String homeURL)`
`void` | `setHost(ComputerSystem host)`
`void` | `setJavaVendor(java.lang.String javaVendor)`
`void` | `setJavaVersion(java.lang.String javaVersion)`
`void` | `setJavaVMName(java.lang.String javaVMName)`
`void` | `setJavaVMVendor(java.lang.String javaVMVendor)`
`void` | `setJavaVMVersion(java.lang.String javaVMVersion)`
`void` | `setJBossManagedConnectionFactory(JBossManagedConnectionFactory[] jbmncf)`
`void` | `setJBossManagedConnectionPool(JBossManagedConnectionPool[] jbmcp)`
`void` | `setJMS(JBossJMSServer jbserver)`
`void` | `setJTA(JBossTransactionCM[] jta)`
`void` | `setLibraryURL(java.lang.String libraryURL)`
`void` | `setListeningPort(int port)`
`void` | `setMaxMemory(long maxMemory)`
`void` | `setOSName(java.lang.String OSName)`
`void` | `setRootDeploymentFilename(java.lang.String rootDeploymentFilename)`
`void` | `setServerBaseURL(java.lang.String serverBaseURL)`
`void` | `setServerConfigURL(java.lang.String serverConfigURL)`
`void` | `setServerDataDir(java.lang.String serverDataDir)`
`void` | `setServerHomeDir(java.lang.String serverHomeDir)`
`void` | `setServerHomeURL(java.lang.String serverHomeURL)`
`void` | `setServerLibraryURL(java.lang.String serverLibraryURL)`
`void` | `setServerTempDir(java.lang.String serverTempDir)`
`void` | `setTotalMemory(long totalMemory)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`getAdminHost, getDeployedObjects, getName, getOwner, getPrimarySAP, getResources, getServers, hasAdminHost, hasDeployedObjects, hasName, hasOwner, hasPrimarySAP, hasResources, hasServers, setAdminHost, setDeployedObjects, setName, setOwner, setPrimarySAP, setResources, setServers`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getServerTempDir

    java.lang.String getServerTempDir()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerTempDir

    void setServerTempDir(java.lang.String serverTempDir)

### hasServerTempDir

    boolean hasServerTempDir()

### getServerHomeDir

    java.lang.String getServerHomeDir()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerHomeDir

    void setServerHomeDir(java.lang.String serverHomeDir)

### hasServerHomeDir

    boolean hasServerHomeDir()

### getRootDeploymentFilename

    java.lang.String getRootDeploymentFilename()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootDeploymentFilename

    void setRootDeploymentFilename(java.lang.String rootDeploymentFilename)

### hasRootDeploymentFilename

    boolean hasRootDeploymentFilename()

### getBlockingShutDown

    boolean getBlockingShutDown()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBlockingShutDown

    void setBlockingShutDown(boolean blockingShutDown)

### hasBlockingShutDown

    boolean hasBlockingShutDown()

### getServerLibraryURL

    java.lang.String getServerLibraryURL()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerLibraryURL

    void setServerLibraryURL(java.lang.String serverLibraryURL)

### hasServerLibraryURL

    boolean hasServerLibraryURL()

### getHomeDir

    java.lang.String getHomeDir()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHomeDir

    void setHomeDir(java.lang.String homeDir)

### hasHomeDir

    boolean hasHomeDir()

### getLibraryURL

    java.lang.String getLibraryURL()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLibraryURL

    void setLibraryURL(java.lang.String libraryURL)

### hasLibraryURL

    boolean hasLibraryURL()

### getServerDataDir

    java.lang.String getServerDataDir()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerDataDir

    void setServerDataDir(java.lang.String serverDataDir)

### hasServerDataDir

    boolean hasServerDataDir()

### getHomeURL

    java.lang.String getHomeURL()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHomeURL

    void setHomeURL(java.lang.String homeURL)

### hasHomeURL

    boolean hasHomeURL()

### getServerConfigURL

    java.lang.String getServerConfigURL()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerConfigURL

    void setServerConfigURL(java.lang.String serverConfigURL)

### hasServerConfigURL

    boolean hasServerConfigURL()

### getServerBaseURL

    java.lang.String getServerBaseURL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerBaseURL

    void setServerBaseURL(java.lang.String serverBaseURL)

### hasServerBaseURL

    boolean hasServerBaseURL()

### getServerHomeURL

    java.lang.String getServerHomeURL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerHomeURL

    void setServerHomeURL(java.lang.String serverHomeURL)

### hasServerHomeURL

    boolean hasServerHomeURL()

### getJavaVendor

    java.lang.String getJavaVendor()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVendor

    void setJavaVendor(java.lang.String javaVendor)

### hasJavaVendor

    boolean hasJavaVendor()

### getJavaVMName

    java.lang.String getJavaVMName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVMName

    void setJavaVMName(java.lang.String javaVMName)

### hasJavaVMName

    boolean hasJavaVMName()

### getActiveThreadGroupCount

    int getActiveThreadGroupCount()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setActiveThreadGroupCount

    void setActiveThreadGroupCount(int activeThreadGroupCount)

### hasActiveThreadGroupCount

    boolean hasActiveThreadGroupCount()

### getListeningPort

    int getListeningPort()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListeningPort

    void setListeningPort(int port)

### hasListeningPort

    boolean hasListeningPort()

### getTotalMemory

    long getTotalMemory()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTotalMemory

    void setTotalMemory(long totalMemory)

### hasTotalMemory

    boolean hasTotalMemory()

### getJavaVMVersion

    java.lang.String getJavaVMVersion()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVMVersion

    void setJavaVMVersion(java.lang.String javaVMVersion)

### hasJavaVMVersion

    boolean hasJavaVMVersion()

### getJavaVMVendor

    java.lang.String getJavaVMVendor()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVMVendor

    void setJavaVMVendor(java.lang.String javaVMVendor)

### hasJavaVMVendor

    boolean hasJavaVMVendor()

### getOSName

    java.lang.String getOSName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOSName

    void setOSName(java.lang.String OSName)

### hasOSName

    boolean hasOSName()

### getJavaVersion

    java.lang.String getJavaVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaVersion

    void setJavaVersion(java.lang.String javaVersion)

### hasJavaVersion

    boolean hasJavaVersion()

### getMaxMemory

    long getMaxMemory()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxMemory

    void setMaxMemory(long maxMemory)

### hasMaxMemory

    boolean hasMaxMemory()

### getJTA

    JBossTransactionCM[] getJTA()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setJTA

    void setJTA(JBossTransactionCM[] jta)

### hasJTA

    boolean hasJTA()

### getJBossManagedConnectionPool

    JBossManagedConnectionPool[] getJBossManagedConnectionPool()
                                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setJBossManagedConnectionPool

    void setJBossManagedConnectionPool(JBossManagedConnectionPool[] jbmcp)

### hasJBossManagedConnectionPool

    boolean hasJBossManagedConnectionPool()

### getJBossManagedConnectionFactory

    JBossManagedConnectionFactory[] getJBossManagedConnectionFactory()
                                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setJBossManagedConnectionFactory

    void setJBossManagedConnectionFactory(JBossManagedConnectionFactory[] jbmncf)

### hasJBossManagedConnectionFactory

    boolean hasJBossManagedConnectionFactory()

### getJMS

    JBossJMSServer getJMS()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setJMS

    void setJMS(JBossJMSServer jbserver)

### hasJMS

    boolean hasJMS()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD